Package org.apache.tapestry5.internal.util

# Class ValidationDecoratorWrapper

java.lang.Object
org.apache.tapestry5.internal.util.ValidationDecoratorWrapper

All Implemented Interfaces:
  `ValidationDecorator`

Direct Known Subclasses:
  `AutofocusValidationDecorator`

public class ValidationDecoratorWrapper extends Object implements ValidationDecorator
Implementation of `ValidationDecorator` that delegates all method invocations. Subclasses may override any of the methods.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidationDecoratorWrapper(ValidationDecorator delegate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterField(Field field)`
  Invoked after the field has completed rendering itself.
  `void`
  `afterLabel(Field field)`
  Invoked by `Label` after rendering itself.
  `void`
  `beforeField(Field field)`
  Renders immediately before the field itself.
  `void`
  `beforeLabel(Field field)`
  Invoked by a `Label` before rendering itself.
  `void`
  `insideField(Field field)`
  Invoked at a point where the decorator may write additional attributes into the field.
  `void`
  `insideLabel(Field field, Element labelElement)`
  Invoked after the label has rendered its tag, but before it has rendered content inside the tag, to allow the decorator to write additional attributes.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidationDecoratorWrapper

    public ValidationDecoratorWrapper(ValidationDecorator delegate)

- ## Method Details

  - ### beforeLabel

    public void beforeLabel(Field field)
    Description copied from interface: `ValidationDecorator`
    Invoked by a `Label` before rendering itself.
    Specified by:
      `beforeLabel` in interface `ValidationDecorator`
    Parameters:
      `field` - for this label

  - ### insideLabel

    public void insideLabel(Field field, Element labelElement)
    Description copied from interface: `ValidationDecorator`
    Invoked after the label has rendered its tag, but before it has rendered content inside the tag, to allow the decorator to write additional attributes.
    Specified by:
      `insideLabel` in interface `ValidationDecorator`
    Parameters:
      `field` - the field corresponding to the label
      `labelElement` - the element for this label

  - ### afterLabel

    public void afterLabel(Field field)
    Description copied from interface: `ValidationDecorator`
    Invoked by `Label` after rendering itself.
    Specified by:
      `afterLabel` in interface `ValidationDecorator`

  - ### beforeField

    public void beforeField(Field field)
    Description copied from interface: `ValidationDecorator`
    Renders immediately before the field itself. The field will typically render a single element, though a complex field may render multiple elements or even some JavaScript.
    Specified by:
      `beforeField` in interface `ValidationDecorator`

  - ### insideField

    public void insideField(Field field)
    Description copied from interface: `ValidationDecorator`
    Invoked at a point where the decorator may write additional attributes into the field. Generally speaking, you will want to render informal parameters before invoking this method.
    Specified by:
      `insideField` in interface `ValidationDecorator`

  - ### afterField

    public void afterField(Field field)
    Description copied from interface: `ValidationDecorator`
    Invoked after the field has completed rendering itself.
    Specified by:
      `afterField` in interface `ValidationDecorator`